Zum Inhalt springen

Phota

Integrieren

Modell-ID phota/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/phota/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage: 0,09 $ 90 API-Credits Auf dieser Seite ausführen

API-Schlüssel abrufen
Open model Bildbearbeitung 4K-Ausgabebis zu 4K #edit#personalization#typography#phota

Identitätserhaltende Fotobearbeitung aus 1 bis 10 Eingabebildern mit optionalen trainierten Profilen

Open model · Bild

Dein erstes Ergebnis erscheint hier

Erstelle unten eine Anfrage und führe sie mit deinem API-Schlüssel aus. Ausgaben werden in unseren Speicher kopiert und dauerhaft oder 7 Tage kostenlos aufbewahrt.

Anfrage erstellen

Die Steuerelemente werden aus dem Modellschema generiert. Code und Preis werden aktualisiert, während du sie änderst.

•erforderlich 88 / 8000

Bildgenerierungs-Prompt, der neben einer Beschreibung des zu Erstellenden Profilreferenzen wie [[profile_id_1]] und [[profile_id_2]] enthalten kann.

•erforderlich image_urls
Datei ablegen oder

Zu bearbeitende Bilder als URLs oder Base64-Daten-URIs; Einträge nach den ersten 10 werden ignoriert. Stellen Sie mindestens ein Bild bereit oder verwenden Sie stattdessen den `/`-Endpunkt für die Generierung ausschließlich aus Text.

resolution Standard 1K

Für das generierte Bild zu verwendende Auflösung.

aspect_ratio Standard auto

Verhältnis von Breite zu Höhe des Ausgabe-Bildes.

num_images Standard 1

Anzahl der zu erzeugenden Bilder.

Erweitert output_format · base_model · enable_safety_checker · profile_ids
output_format Standard jpeg

Dateiformat des resultierenden Bilds.

base_model Standard nb2

Auswahl des Rendering-Modells, wobei `4K` nur über `nb2` verfügbar ist. Identitätsebenen werden über jedes ausgewählte Basismodell gelegt, sodass jede Auswahl mit trainierten Profilen kompatibel ist.

Profilauswahl für die Bildgenerierung als Liste von IDs; der Prompt kann diese Profile mit @Profile1, @Profile2 usw. markieren.

POST /run/phota/edit?wait=20 Preis → 0,09 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/phota/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Diese Anfrage ausführen

Dein Schlüssel bleibt in diesem Browser: Er wird nur an die Doitong API gesendet und nur gespeichert (localStorage), wenn du „Merken“ aktivierst. API-Schlüssel abrufen

Über Phota

Bearbeitet vorhandene Fotos anhand eines `prompt` mit bis zu 8000 Zeichen und `image_urls`, das mindestens ein Bild benötigt; es werden höchstens 10 verwendet. Übergeben Sie `profile_ids`, damit bestimmte Personen erkennbar bleiben. `base_model` kann nb2, qwen-image-2, flux-2 oder seedream-5-pro sein, und die 4K-Ausgabe funktioniert nur mit nb2. Das Modell gibt 1 bis 4 Bilder im JPEG- oder PNG-Format zurück.

Parameter

Sende entweder den kanonischen Namen oder den nativen Namen, nicht beide. Kanonische Namen

NameTyp StandardZulässig Beschreibung
prompterforderlich
Typstring
≤ 8.000 Zeichen
Bildgenerierungs-Prompt, der neben einer Beschreibung des zu Erstellenden Profilreferenzen wie [[profile_id_1]] und [[profile_id_2]] enthalten kann.
num_imagesoptional num_outputs
Typinteger
Standard1
1 – 4
Anzahl der zu erzeugenden Bilder.
profile_idsoptional
Typstring[]
Profilauswahl für die Bildgenerierung als Liste von IDs; der Prompt kann diese Profile mit @Profile1, @Profile2 usw. markieren.
output_formatoptional
Typenum
Standardjpeg
jpegpng
Dateiformat des resultierenden Bilds.
resolutionoptional
Typenum
Standard1K
1K4K
Für das generierte Bild zu verwendende Auflösung.
aspect_ratiooptional
Typenum
Standardauto
auto1:116:94:33:49:16
Verhältnis von Breite zu Höhe des Ausgabe-Bildes.
base_modeloptional
Typenum
Standardnb2
nb2qwen-image-2flux-2seedream-5-pro
Auswahl des Rendering-Modells, wobei `4K` nur über `nb2` verfügbar ist. Identitätsebenen werden über jedes ausgewählte Basismodell gelegt, sodass jede Auswahl mit trainierten Profilen kompatibel ist.
image_urlserforderlich images
Typurl[] · image
Zu bearbeitende Bilder als URLs oder Base64-Daten-URIs; Einträge nach den ersten 10 werden ignoriert. Stellen Sie mindestens ein Bild bereit oder verwenden Sie stattdessen den `/`-Endpunkt für die Generierung ausschließlich aus Text.
enable_safety_checkeroptional
Typboolean
Standardtrue
Die Prüfung kann durch Setzen auf false gelockert werden, sofern der Aufrufer dazu berechtigt ist.
erforderlich Kanonischer Name, ebenfalls akzeptiert

Dateiparameter akzeptieren eine öffentliche https://-URL, eine data:-URI bis 10 MB oder die file_url eines Uploads. Dateien

Ausgabe

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "phota/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 90,
    "usd": "0.09",
    "charged": 90,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Deine Dateien, deine EntscheidungJede outputs[].url ist eine Kopie in unserem Speicher: dauerhaft aufbewahrt (Abrechnung pro GB-Monat) oder 7 Tage kostenlos – je nach Kontoeinstellung oder ?storage=.
Gleiche Struktur bei jedem Modelltype, url, content_type, width, height und duration – für Bilder, Video und Audio gleichermaßen. output ist das Ergebnisobjekt des Modells.
Ausgabefelder
images
array of object {url, content_type, file_name, file_size, width, height}URL zum bearbeiteten Bild.

Weitere Modelle: Bildbearbeitung

Für KI-Agenten: Diese Seite ist als Markdown verfügbar unter https://doitong.com/de/developers/models/phota/edit.md. Alle Modelle und Anleitungen: https://doitong.com/developers/llms.txt